Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.calendar.schema
Interface DateType

All Superinterfaces:
  XmlObject, XmlTokenSource

    public interface DateType

extends XmlObject

An XML dateType(@http://www.bea.com/wli/calendar/schema). This is a complex type.

Nested Class Summary
`static class` | `DateType.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`HourMinuteRangeType` | `addNewHourMinuteRange()` Appends and returns a new empty "hourMinuteRange" element
`int` | `getDay()` Gets the "day" element
`HourMinuteRangeType` | `getHourMinuteRange()` Gets the "hourMinuteRange" element
`int` | `getMonth()` Gets the "month" element
`int` | `getYear()` Gets the "year" element
`boolean` | `isSetHourMinuteRange()` True if has "hourMinuteRange" element
`boolean` | `isSetMonth()` True if has "month" element
`boolean` | `isSetYear()` True if has "year" element
`void` | `setDay(int day)` Sets the "day" element
`void` | `setHourMinuteRange(HourMinuteRangeType hourMinuteRange)` Sets the "hourMinuteRange" element
`void` | `setMonth(int month)` Sets the "month" element
`void` | `setYear(int year)` Sets the "year" element
`void` | `unsetHourMinuteRange()` Unsets the "hourMinuteRange" element
`void` | `unsetMonth()` Unsets the "month" element
`void` | `unsetYear()` Unsets the "year" element
`XmlInt` | `xgetDay()` Gets (as xml) the "day" element
`XmlInt` | `xgetMonth()` Gets (as xml) the "month" element
`XmlInt` | `xgetYear()` Gets (as xml) the "year" element
`void` | `xsetDay(XmlInt day)` Sets (as xml) the "day" element
`void` | `xsetMonth(XmlInt month)` Sets (as xml) the "month" element
`void` | `xsetYear(XmlInt year)` Sets (as xml) the "year" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final SchemaType type

Method Detail

### getDay

    int getDay()

  Gets the "day" element

### xgetDay

    XmlInt xgetDay()

  Gets (as xml) the "day" element

### setDay

    void setDay(int day)

  Sets the "day" element

### xsetDay

    void xsetDay(XmlInt day)

  Sets (as xml) the "day" element

### getYear

    int getYear()

  Gets the "year" element

### xgetYear

    XmlInt xgetYear()

  Gets (as xml) the "year" element

### isSetYear

    boolean isSetYear()

  True if has "year" element

### setYear

    void setYear(int year)

  Sets the "year" element

### xsetYear

    void xsetYear(XmlInt year)

  Sets (as xml) the "year" element

### unsetYear

    void unsetYear()

  Unsets the "year" element

### getMonth

    int getMonth()

  Gets the "month" element

### xgetMonth

    XmlInt xgetMonth()

  Gets (as xml) the "month" element

### isSetMonth

    boolean isSetMonth()

  True if has "month" element

### setMonth

    void setMonth(int month)

  Sets the "month" element

### xsetMonth

    void xsetMonth(XmlInt month)

  Sets (as xml) the "month" element

### unsetMonth

    void unsetMonth()

  Unsets the "month" element

### getHourMinuteRange

    HourMinuteRangeType getHourMinuteRange()

  Gets the "hourMinuteRange" element

### isSetHourMinuteRange

    boolean isSetHourMinuteRange()

  True if has "hourMinuteRange" element

### setHourMinuteRange

    void setHourMinuteRange(HourMinuteRangeType hourMinuteRange)

  Sets the "hourMinuteRange" element

### addNewHourMinuteRange

    HourMinuteRangeType addNewHourMinuteRange()

  Appends and returns a new empty "hourMinuteRange" element

### unsetHourMinuteRange

    void unsetHourMinuteRange()

  Unsets the "hourMinuteRange" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD